QUnit.module('Default index files', config);

test('should get index file', function(assert){

    AMD.define('calcule/adunare/main', ['exports'], function(exports){

        var adunare = 'a+b';

        exports["default"] = adunare;

    });

    AMD.define('calcule/scadere/main', ['exports'], function(exports){

        var adunare = 'a-b';

        exports["default"] = adunare;

    });

    var adunare = AMD.require('calcule/adunare');
    var scadere = AMD.require('calcule/scadere/');

    assert.equal(adunare, 'a+b', 'without endling slash');
    assert.equal(scadere, 'a-b', 'with endling slash');

});

test('should mark as seen both folder path and index path when folder path is requested', function(assert){

    var counter = 0;

    AMD.define('folder/main', ['exports'], function(exports){

        counter++;

        var adunare = function adunare(x, y) {return x + y;};

        exports["default"] = adunare;

    });

    equal(counter, 0);
    AMD.require('folder');
    equal(counter, 1);

    AMD.require('folder');
    equal(counter, 1);

    AMD.require('folder/main');
    equal(counter, 1);

    AMD.require('folder');
    equal(counter, 1);

});

test('can configure the name of the default file', function(assert){

    AMD.config({defaultFile:'index'});

    AMD.define('calcule/adunare/index', ['exports'], function(exports){

        var adunare = 'a+b';

        exports["default"] = adunare;

    });

    AMD.define('calcule/adunare/main', ['exports'], function(exports){

        var adunare = 'a-b';

        exports["default"] = adunare;

    });

    var adunare = AMD.require('calcule/adunare');

    assert.equal(adunare, 'a+b', 'defaultFile name is configurable');

});
