QUnit.module('Listing entries', config);

test('list_entries method should exist', function(assert){

    ok(typeof AMD.list_entries === 'function', 'list_entries exists');

});

test('should count 0 entries', function(assert){

    var entries = AMD.list_entries();

    assert.equal(entries.length, 0, 'names length should be 0');

});

test('should get 2 entries', function(assert){

    AMD.define('adunare/blab/bla/hmmm_bla', ['exports'], function(exports){

        var adunare = function adunare(x, y) {return x + y;};

        exports["default"] = adunare;

    });

    AMD.define('/blaaaa-scadere/aaah/blah/', ['exports'], function(exports){

        var scadere = function scadere(x, y) {
         return x - y;
        };

        exports["default"] = scadere;

    });

    var entries = AMD.list_entries();

    assert.equal(entries.length, 2, 'names length should be 2');
    assert.deepEqual(entries, ['adunare/blab/bla/hmmm_bla', '/blaaaa-scadere/aaah/blah/'], 'names are correct');

});
